org.apache.ignite.internal.processors.igfs.client

## Class IgfsClientListPathsCallable

- java.lang.Object
- - org.apache.ignite.internal.processors.igfs.client.IgfsClientAbstractCallable<Collection<IgfsPath>>
  - - org.apache.ignite.internal.processors.igfs.client.IgfsClientListPathsCallable

All Implemented Interfaces:
  Serializable, Callable<Collection<IgfsPath>>, Binarylizable, IgniteCallable<Collection<IgfsPath>>

    public class IgfsClientListPathsCallable
    extends IgfsClientAbstractCallable<Collection<IgfsPath>>

IGFS client list paths callable.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.igfs.client.IgfsClientAbstractCallable

`igfsName, path, user`

### Constructor Summary

Constructors
Constructor and Description
`IgfsClientListPathsCallable()` Default constructor.
`IgfsClientListPathsCallable(String igfsName, String user, IgfsPath path)` Constructor.

### Method Summary

Methods
`protected Collection<IgfsPath>` `call0(IgfsContext ctx)` Execute task.
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.igfs.client.IgfsClientAbstractCallable

`call, readBinary, readBinary0, writeBinary, writeBinary0`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgfsClientListPathsCallable

    public IgfsClientListPathsCallable()

Default constructor.

#### IgfsClientListPathsCallable

    public IgfsClientListPathsCallable(@Nullable
                               String igfsName,
                               @Nullable
                               String user,
                               IgfsPath path)

Constructor.

Parameters:
  `igfsName` - IGFS name.
  `user` - IGFS user name.
  `path` - Path.

### Method Detail

#### call0

    protected Collection<IgfsPath> call0(IgfsContext ctx)
                                  throws Exception

Execute task.

Specified by:
  `call0` in class `IgfsClientAbstractCallable<Collection<IgfsPath>>`
Parameters:
  `ctx` - IGFS ocntext.
Returns:
  Result.
Throws:
  `Exception` - If failed.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017